Bug 588106 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib/firefox-3.6/firefox wa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9b4796d46097340caec0f7864d3...
: 613482 615563 632548 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-02 17:50 UTC by Milan
Modified: 2011-06-27 16:02 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:02:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (66.83 KB, text/plain)
2010-05-02 17:50 UTC, Milan
no flags Details

Description Milan 2010-05-02 17:50:06 UTC
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.6/firefox
component: firefox
executable: /usr/lib/firefox-3.6/firefox
global_uuid: 9b4796d46097340caec0f7864d30972e2068aa63
kernel: 2.6.33.2-57.fc13.i686.PAE
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

Comment 1 Milan 2010-05-02 17:50:11 UTC
Created attachment 410826 [details]
File: backtrace

Comment 2 André Auzi 2010-05-08 08:54:19 UTC
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start the online french tax return declaration
2.
3.


Comment
-----
Firefox crashes during the compatibility check procedure the site performs

Comment 3 Chris Campbell 2010-05-08 13:40:48 UTC
#3  <signal handler called>
No symbol table info available.
#4  Length (this=0xa3bcf1ec, cb=...) at ../../../dist/include/nsTArray.h:66
No locals.
#5  nsSelectionState::DoTraverse (this=0xa3bcf1ec, cb=...)
    at nsSelectionState.cpp:62
        i = 0
        iEnd = <value optimized out>
#6  0x026da150 in PlaceholderTxn::cycleCollection::Traverse (this=0x33768d4, 
    p=0xa19ff540, cb=...) at PlaceholderTxn.cpp:65
        s = 0xa19ff540
        tmp = 0xa19ff540
#7  0x02b135c1 in GCGraphBuilder::Traverse (this=0xbf8d7878, aPtrInfo=
    0xa5b4d9e4) at nsCycleCollector.cpp:1389
        rv = <value optimized out>
#8  0x02b13639 in nsCycleCollector::MarkRoots (this=0xb750e000, builder=...)
    at nsCycleCollector.cpp:1611
        pi = <value optimized out>
#9  0x02b13e7e in nsCycleCollector::BeginCollection (this=0xb750e000)
    at nsCycleCollector.cpp:2554
        builder = {<nsCycleCollectionTraversalCallback> = {
            _vptr.nsCycleCollectionTraversalCallback = 0x3358640, mFlags = 
    0}, mNodeBuilder = {mNextBlock = 0xa5b01000, mNext = @0xb750e044, 
            mBlockEnd = 0xa5bc1004}, mEdgeBuilder = {mCurrent = 0xa5ec6c10, 
            mBlockEnd = 0xa5ee5ff8, mNextBlockPtr = 0xa5ee5ffc}, 
          mPtrToNodeMap = warning: can't find linker symbol for virtual table for `PLDHashTable' value
warning:   found `nsExceptionService::tlsIndex' instead
{ops = 0x33688bc, data = 0x0, hashShift = 17, 
            maxAlphaFrac = 192 '\300', minAlphaFrac = 64 '@', entrySize = 8, 
            entryCount = 14235, removedCount = 0, generation = 0, 
            entryStore = 0xa5801000 ""}, mCurrPi = 0xa5b4d9e4, mRuntimes = 
    0xb750e010}
#10 0x02b13efd in nsCycleCollector_beginCollection ()
    at nsCycleCollector.cpp:3141
No locals.
#11 0x021ff846 in XPCCycleCollectGCCallback (cx=0xb754ea00, status=
    JSGC_MARK_END) at nsXPConnect.cpp:390
No locals.
#12 0x062caad1 in js_GC (cx=0xb754ea00, gckind=<value optimized out>)
    at jsgc.cpp:3537
        keepAtoms = 0
        i = <value optimized out>
        trc = {context = 0xb754ea00, callback = 0, debugPrinter = 0, 
          debugPrintArg = 0x0, debugPrintIndex = 4294967295}
        a = <value optimized out>
        emptyArenas = <value optimized out>
        arenaList = <value optimized out>
        allClear = <value optimized out>
        callback = <value optimized out>
        thing = <value optimized out>
        requestDebit = <value optimized out>
        rt = 0xb719d800
        type = <value optimized out>
        thingSize = <value optimized out>
        flags = <value optimized out>
        freeList = <value optimized out>
        ap = <value optimized out>
        flagp = <value optimized out>
#13 0x0628561c in JS_GC (cx=0xb754ea00) at jsapi.cpp:2439
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Gerhard 2010-05-16 16:54:48 UTC
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Opened a java-applet-site with firefox.

Comment 5 JYundt 2010-05-28 18:28:41 UTC
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Tried to connect to web based juniper VPN client
2.
3.


Comment
-----
Tried to connect to web based juniper VPN client using ncui 6.3

Comment 6 larry 2010-06-04 04:10:14 UTC
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Launch a Java chat
2.
3.

Comment 7 Chris Campbell 2010-06-04 11:41:40 UTC
Can anyone give us more specific steps to reproduce this crash? (i.e. a java chat to what site? what is the url for the french site? etc.)

Thanks in advance.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Steve Sauls 2010-06-05 01:22:52 UTC
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Looking at BP live feeds.

Comment 9 Felipe Hommen 2010-06-05 09:41:38 UTC
Package: firefox-3.6.3-4.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Closing a tab (I think it was facebook)

Comment 10 Karel Klíč 2010-11-08 19:36:15 UTC
*** Bug 613482 has been marked as a duplicate of this bug. ***

Comment 11 Karel Klíč 2010-11-08 19:36:20 UTC
*** Bug 615563 has been marked as a duplicate of this bug. ***

Comment 12 Karel Klíč 2010-11-08 19:36:25 UTC
*** Bug 632548 has been marked as a duplicate of this bug. ***

Comment 13 Bug Zapper 2011-06-02 14:35:32 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Bug Zapper 2011-06-27 16:02:35 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.